> ## Documentation Index
> Fetch the complete documentation index at: https://mtaapi.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Citi Bike stations

> Find nearby Citi Bike stations or list stations by name, with current bike and dock availability.



## OpenAPI

````yaml /openapi.json get /api/v1/citi-bike/stations
openapi: 3.1.2
info:
  title: MTA API
  description: Managed, API-key protected access to MTA realtime and static data.
  version: 0.1.0
servers:
  - url: https://www.mtaapi.dev
    description: Production
security:
  - bearerAuth: []
  - apiKeyAuth: []
tags:
  - name: subway
    description: Subway realtime data
  - name: bus
    description: BusTime realtime data
  - name: path
    description: PATH realtime arrivals for New Jersey stations
  - name: nj-transit-rail
    description: NJ Transit RailData realtime data
  - name: nyc-ferry
    description: NYC Ferry GTFS and GTFS-Realtime data
  - name: citi-bike
    description: Citi Bike GBFS station and service data
  - name: lirr
    description: Long Island Rail Road GTFS and GTFS-Realtime data
  - name: metro-north
    description: Metro-North Railroad GTFS and GTFS-Realtime data
  - name: alerts
    description: Service alerts
  - name: stops
    description: Route-aware static GTFS stop lookup
  - name: system
    description: Health and database status
paths:
  /api/v1/citi-bike/stations:
    get:
      tags:
        - citi-bike
      summary: Find Citi Bike stations
      description: >-
        Find nearby Citi Bike stations or list stations by name, with current
        bike and dock availability.
      operationId: getApiV1Citi-bikeStations
      parameters:
        - name: lat
          in: query
          required: false
          schema:
            minimum: -90
            maximum: 90
            type: number
        - name: lon
          in: query
          required: false
          schema:
            minimum: -180
            maximum: 180
            type: number
        - name: radius
          in: query
          required: false
          schema:
            minimum: 1
            type: number
        - name: limit
          in: query
          required: false
          schema:
            minimum: 1
            type: number
        - name: minBikes
          in: query
          required: false
          schema:
            minimum: 0
            type: number
        - name: minDocks
          in: query
          required: false
          schema:
            minimum: 0
            type: number
        - name: ebike
          in: query
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: Response for status 200
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  required:
                    - id
                    - name
                    - lat
                    - lon
                    - bikesAvailable
                    - ebikesAvailable
                    - classicBikesAvailable
                    - docksAvailable
                    - bikesDisabled
                    - docksDisabled
                    - isInstalled
                    - isRenting
                    - isReturning
                    - mode
                    - source
                  properties:
                    id:
                      type: string
                    shortName:
                      type: string
                    name:
                      type: string
                    lat:
                      type: number
                    lon:
                      type: number
                    regionId:
                      type: string
                    capacity:
                      type: number
                    bikesAvailable:
                      type: number
                    ebikesAvailable:
                      type: number
                    classicBikesAvailable:
                      type: number
                    docksAvailable:
                      type: number
                    bikesDisabled:
                      type: number
                    docksDisabled:
                      type: number
                    isInstalled:
                      type: boolean
                    isRenting:
                      type: boolean
                    isReturning:
                      type: boolean
                    lastReported:
                      type: string
                    distanceMeters:
                      type: number
                    mode:
                      const: citi-bike
                      type: string
                    source:
                      const: citi-bike-gbfs
                      type: string
      x-codeSamples:
        - lang: typescript
          label: mta-js
          source: >-
            import { MTA } from "mta-js";

            const mta = new MTA({ apiKey: process.env.MTA_API_KEY });

            const data = await mta.citiBike.stations({ lat: 40.6924, lon:
            -73.9873, limit: 5 });
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.